<?php

/**
 * Add CSS and Script
 */
function lcwoo_account_add_style_and_scripts() {

	wp_enqueue_style( 'lcwoo-account-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/account/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );
}
add_action( 'wp_enqueue_scripts', 'lcwoo_account_add_style_and_scripts' );

/**
 * Include required core files
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/inc/edit-account.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/inc/edit-adress.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/inc/login.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/inc/lost-password.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/inc/view-order.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/functions.php' );

/**
 * Modules for Account
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/account/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/edit-account/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/edit-address/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/login/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/lost-password/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/modules/view-order/module.php' );
