<?php

/**
 * Add CSS and Script
 */
function lcwoo_checkout_add_style_and_scripts() {

	wp_enqueue_style( 'lcwoo-checkout-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/checkout/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );
}
add_action( 'wp_enqueue_scripts', 'lcwoo_checkout_add_style_and_scripts' );

/**
 * Include required core files
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/inc/order-pay.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/inc/order-received.php' );

/**
 * Modules for Checkout
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/modules/checkout/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/modules/pay/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/modules/received/module.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/modules/tracking/module.php' );
