<?php

/**
 * Add CSS and Script
 */
function lcwoo_shop_add_style_and_script() {

	wp_enqueue_style( 'lcwoo-shop-style', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/shop/css/style.css', array(), LCWOO_INTEGRATION_PLUGIN_VER );

	if ( is_shop() || is_category() || is_tag()  ) {
		$plugin_js_dependences = array( 'jquery' );

		wp_enqueue_script( 'lcwoo-shop-javascript-production', LCWOO_INTEGRATION_PLUGIN_URL . 'includes/shop/js/script.js', $plugin_js_dependences, '20160929', false );
	}
}
add_action( 'wp_enqueue_scripts', 'lcwoo_shop_add_style_and_script' );

/**
 * Include required core files
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/inc/listing.php' );
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/inc/page/shop.php' );

/**
 * Modules for Shop
 */
require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/modules/listing/module.php' );
